// IStack2002.h : Deklaration von CIStack2002

#ifndef __ISTACK2002_H_
#define __ISTACK2002_H_

#include "resource.h"       // Hauptsymbole

/////////////////////////////////////////////////////////////////////////////
// CIStack2002
class ATL_NO_VTABLE CIStack2002 : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CIStack2002, &CLSID_IStack2002>,
	public IDispatchImpl<IIStack2002, &IID_IIStack2002, &LIBID_STACKCOMPONENT2002Lib>
{
		int sp;
		int stack[100];
public:
	CIStack2002()
	{
		sp = 0;
	}

DECLARE_REGISTRY_RESOURCEID(IDR_ISTACK2002)

DECLARE_PROTECT_FINAL_CONSTRUCT()

BEGIN_COM_MAP(CIStack2002)
	COM_INTERFACE_ENTRY(IIStack2002)
	COM_INTERFACE_ENTRY(IDispatch)
END_COM_MAP()

// IIStack2002
public:
	STDMETHOD(pop)(/*[out, retval]*/ int * x);
	STDMETHOD(push)(int x);
};

#endif //__ISTACK2002_H_
